#ifndef REDIRECTEDSERIAL_H
#define REDIRECTEDSERIAL_H

#include "mbed.h"
#include <Arduino.h>

class RedirectedSerial : public mbed::FileHandle {
public:
    virtual ssize_t write(const void *buffer, size_t size);
    virtual ssize_t read(void *buffer, size_t size);
    virtual int close();
    virtual off_t seek(off_t offset, int whence = SEEK_SET);
    virtual off_t size();
    virtual int isatty();
    virtual int sync();
    virtual short poll(short events) const;
};

namespace mbed {
    FileHandle *mbed_override_console(int fd);
}

#endif